Error Running Rally against an existing cluster

Hi,

I'm having trouble starting Rally to run against an existing Elasticsearch cluster from Mac OSX Catalina. I followed the instructions here

However when I run using the command:

esrally --track=pmc --target-hosts=[my-es-cluster]:9200 --pipeline=benchmark-only --client-options="use_ssl:true,verify_certs:true,basic_auth_user:'elastic',basic_auth_password:'[password]'"

I've tried pointing to my local dev ES and also at a Elastic Cloud instance but get the same error that is seemingly about the Agent not being able to start.

2019-12-23 16:34:13,584 -not-actor-/PID:48161 esrally.rally INFO OS [posix.uname_result(sysname='Darwin', nodename='Lee-Wadhams-15inch-Touchbar', release='19.2.0', version='Darwin Kernel Version 19.2.0: Sat Nov 9 03:47:04 PST 2019; root:xnu-6153.61.1~20/RELEASE_X86_64', machine='x86_64')]
2019-12-23 16:34:13,585 -not-actor-/PID:48161 esrally.rally INFO Python [namespace(_multiarch='darwin', cache_tag='cpython-37', hexversion=50791408, name='cpython', version=sys.version_info(major=3, minor=7, micro=3, releaselevel='final', serial=0))]
2019-12-23 16:34:13,585 -not-actor-/PID:48161 esrally.rally INFO Rally version [1.3.0]
2019-12-23 16:34:13,585 -not-actor-/PID:48161 esrally.utils.net INFO Connecting directly to the Internet (no proxy support).
2019-12-23 16:34:13,974 -not-actor-/PID:48161 esrally.rally INFO Detected a working Internet connection.
2019-12-23 16:34:14,86 -not-actor-/PID:48161 esrally.rally INFO Actor system already running locally? [False]
2019-12-23 16:34:14,86 -not-actor-/PID:48161 esrally.actor INFO Starting actor system with system base [multiprocTCPBase] and capabilities [{'coordinator': True, 'ip': '127.0.0.1', 'Convention Address.IPv4': '127.0.0.1:1900'}].
2019-12-23 16:34:15,122 -not-actor-/PID:48161 root WARNING Unable to get address info for address Lee-15inch-Touchbar (AddressFamily.AF_INET, SocketKind.SOCK_DGRAM, 17, 0): <class 'socket.gaierror'> [Errno 8] nodename nor servname provided, or not known
2019-12-23 16:34:15,124 -not-actor-/PID:48161 root WARNING Unable to get address info for address Lee-15inch-Touchbar (AddressFamily.AF_INET, SocketKind.SOCK_DGRAM, 17, 0): <class 'socket.gaierror'> [Errno 8] nodename nor servname provided, or not known
2019-12-23 16:34:15,126 -not-actor-/PID:48161 root WARNING Unable to get address info for address Lee-15inch-Touchbar (AddressFamily.AF_INET, SocketKind.SOCK_DGRAM, 17, AddressInfo.AI_PASSIVE): <class 'socket.gaierror'> [Errno 8] nodename nor servname provided, or not known
2019-12-23 16:34:15,128 -not-actor-/PID:48161 root WARNING Unable to get address info for address Lee-15inch-Touchbar (AddressFamily.AF_INET, SocketKind.SOCK_DGRAM, 17, AddressInfo.AI_PASSIVE): <class 'socket.gaierror'> [Errno 8] nodename nor servname provided, or not known
2019-12-23 16:34:15,143 -not-actor-/PID:48174 root INFO ++++ Actor System gen (3, 9) started, admin @ ActorAddr-(T|:1900)
2019-12-23 16:34:20,141 -not-actor-/PID:48161 esrally.actor ERROR Could not initialize internal actor system.
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/esrally/actor.py", line 248, in bootstrap_actor_system
capabilities=capabilities)
File "/usr/local/lib/python3.7/site-packages/thespian/actors.py", line 638, in init
systemBase, capabilities, logDefs)
File "/usr/local/lib/python3.7/site-packages/thespian/actors.py", line 676, in _startupActorSys
systemBase = sbc(self, logDefs=logDefs)
File "/usr/local/lib/python3.7/site-packages/thespian/system/multiprocTCPBase.py", line 27, in init
super(ActorSystemBase, self).init(system, logDefs)
File "/usr/local/lib/python3.7/site-packages/thespian/system/multiprocCommon.py", line 85, in init
super(multiprocessCommon, self).init(system, logDefs)
File "/usr/local/lib/python3.7/site-packages/thespian/system/systemBase.py", line 329, in init
logDefs)
File "/usr/local/lib/python3.7/site-packages/thespian/system/multiprocCommon.py", line 114, in _startAdmin
'not a valid ActorSystem admin')
thespian.actors.InvalidActorAddress: ActorAddr-(T|:1900) is not a valid ActorSystem admin
2019-12-23 16:34:20,148 -not-actor-/PID:48161 esrally.rally INFO Falling back to offline actor system.
2019-12-23 16:34:20,148 -not-actor-/PID:48161 esrally.actor INFO Joining already running actor system with system base [multiprocQueueBase].
2019-12-23 16:34:20,165 -not-actor-/PID:48177 root INFO ++++ Actor System gen (3, 9) started, admin @ ActorAddr-Q.ThespianQ
2019-12-23 16:34:20,182 -not-actor-/PID:48161 esrally.racecontrol INFO User specified pipeline [benchmark-only].
2019-12-23 16:34:20,182 -not-actor-/PID:48161 esrally.racecontrol INFO Using configured hosts [{'host': '[My-ES-Server]', 'port': 9200}]
2019-12-23 16:34:20,183 -not-actor-/PID:48161 esrally.actor INFO Joining already running actor system with system base [multiprocQueueBase].
2019-12-23 16:34:23,191 -not-actor-/PID:48161 esrally.rally INFO Attempting to shutdown internal actor system.
2019-12-23 16:34:23,215 -not-actor-/PID:48177 root INFO ---- Actor System shutdown
2019-12-23 16:34:23,217 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:24,219 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:25,221 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:26,223 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:27,225 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:28,230 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:29,236 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:30,240 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:31,245 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:32,245 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:33,250 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:34,254 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:35,258 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:36,259 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:37,263 -not-actor-/PID:48161 esrally.rally INFO Actor system is still running. Waiting...
2019-12-23 16:34:38,265 -not-actor-/PID:48161 esrally.rally WARNING Shutdown timed out. Actor system is still running.
2019-12-23 16:34:38,265 -not-actor-/PID:48161 esrally.rally ERROR Cannot run subcommand [race].
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 366, in run
pipeline(cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 78, in call
self.target(cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 302, in benchmark_only
return race(cfg, external=True)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 244, in race
benchmark_actor = actor_system.createActor(BenchmarkActor, targetActorRequirements={"coordinator": True})
File "/usr/local/lib/python3.7/site-packages/thespian/actors.py", line 705, in createActor
sourceHash)
File "/usr/local/lib/python3.7/site-packages/thespian/system/systemBase.py", line 206, in newPrimaryActor
actorClass, 'No compatible ActorSystem could be found')
thespian.actors.NoCompatibleSystemForActor: No compatible ActorSystem could be found for Actor <class 'esrally.racecontrol.BenchmarkActor'>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/esrally/rally.py", line 515, in dispatch_sub_command
race(cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/rally.py", line 433, in race
with_actor_system(lambda c: racecontrol.run(c), cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/rally.py", line 461, in with_actor_system
runnable(cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/rally.py", line 433, in
with_actor_system(lambda c: racecontrol.run(c), cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 374, in run
raise exceptions.RallyError("This race ended with a fatal crash.").with_traceback(tb)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 366, in run
pipeline(cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 78, in call
self.target(cfg)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 302, in benchmark_only
return race(cfg, external=True)
File "/usr/local/lib/python3.7/site-packages/esrally/racecontrol.py", line 244, in race
benchmark_actor = actor_system.createActor(BenchmarkActor, targetActorRequirements={"coordinator": True})
File "/usr/local/lib/python3.7/site-packages/thespian/actors.py", line 705, in createActor
sourceHash)
File "/usr/local/lib/python3.7/site-packages/thespian/system/systemBase.py", line 206, in newPrimaryActor
actorClass, 'No compatible ActorSystem could be found')
esrally.exceptions.RallyError: ('This race ended with a fatal crash.', None)

Lee

Looks like your issue begins with this error here:

Blockquote
2019-12-23 16:34:15,122 -not-actor-/PID:48161 root WARNING Unable to get address info for address Lee-15inch-Touchbar (AddressFamily.AF_INET, SocketKind.SOCK_DGRAM, 17, 0): <class 'socket.gaierror'> [Errno 8] nodename nor servname provided, or not known

Perhaps https://superuser.com/questions/879731/osx-ssh-could-not-resolve-hostname-nodename-nor-servname-provided-or-not-kno might be of assistance?

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.